package com.hungraim.ltc.config;


import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.sql.DataSource;

/**
 * @author hubin
 */
@Configuration
//开启事务
@EnableTransactionManagement
public class DataSourceConfig {


  @Bean
  @ConfigurationProperties(prefix="spring.datasource")
  public DataSource dataSource(){
    return new DriverManagerDataSource();
  }

    /**
     * 分页插件
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }
}
